# classes/phing/tasks/ext/ioncube/IoncubeLicenseTask.php

## \IoncubeLicenseTask
jump to top

Invokes the ionCube "make_license" program

Use {@link Project#createTask} to register a new Task.

Extends from
  \Task
author
  Michiel Rook
copyright
  2001,2002 THYRELL. All rights reserved
package
  phing.tasks.ext.ioncube
since
  2.2.0
version
  $Id: IoncubeLicenseTask.php 725 2010-02-11 22:47:11Z mrook $

### Properties

`$allowedServer= ''`
Details

Type

`$comments= 'array'`
Default value `array` Details

Type

`$expireIn= ''`
Details

Type

`$expireOn= ''`
Details

Type

`$ioncubePath= '/usr/local/ioncube'`
Default value`/usr/local/ioncube` Details

Type

`$licensePath= ''`
Details

Type

`$passPhrase= ''`
Details

Type

### Methods

`addComment( $comment ) :`
Adds a comment to be used in encoded files
Parameters

Name | Type | Description
--- | --- | ---
$comment |  |

`constructArguments( ) :`
Constructs an argument string for the ionCube make_license
`getAllowedServer( ) :`
Returns the --allowed-server option
`getExpireIn( ) :`
Returns the --expire-in option
`getExpireOn( ) :`
Returns the --expire-on option
`getIoncubePath( ) :`
Returns the path to the ionCube encoder
`getLicensePath( ) :`
Returns the path to the license file to use
`getPassPhrase( ) :`
Returns the passphrase to use when encoding files
`main( ) :`
The main entry point
Details

throws

`setAllowedServer( $allowedServer ) :`
Sets the --allowed-server option to use when generating the license
Parameters

Name | Type | Description
--- | --- | ---
$allowedServer |  |

`setExpireIn( $expireIn ) :`
Sets the --expire-in option to use when generating the license
Parameters

Name | Type | Description
--- | --- | ---
$expireIn |  |

`setExpireOn( $expireOn ) :`
Sets the --expire-on option to use when generating the license
Parameters

Name | Type | Description
--- | --- | ---
$expireOn |  |

`setIoncubePath( $ioncubePath ) :`
Sets the path to the ionCube encoder
Parameters

Name | Type | Description
--- | --- | ---
$ioncubePath |  |

`setLicensePath( $licensePath ) :`
Sets the path to the license file to use
Parameters

Name | Type | Description
--- | --- | ---
$licensePath |  |

`setPassPhrase( $passPhrase ) :`
Sets the passphrase to use when encoding files
Parameters

Name | Type | Description
--- | --- | ---
$passPhrase |  |

Documentation was generated by DocBlox 0.13.1.